com.sap.conn.jco

## Interface JCoRepositoryQueryResult

-     public interface JCoRepositoryQueryResult

  JCoRepositoryResult describes the result of the repository query. This interface comprises public methods for access to JCoRepositoryResult instance.

  Note: The implementation for this interface provided by the JCo runtime. Other implementations are not supported.

  See Also:
    `JCo.queryMetaDataSet(JCoRepository, List, List, List)`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClassQueryError(String className)`
    `List<String>` | `getFailedClassesQueries()`
    `List<String>` | `getFailedFunctionQueries()`
    `List<String>` | `getFailedTypesQueries()`
    `String` | `getFunctionQueryError(String functionName)`
    `String` | `getTypeQueryError(String typeName)`
    `boolean` | `isClassQuerySuccessful(String className)`
    `boolean` | `isFunctionQuerySuccessful(String functionName)`
    `boolean` | `isQuerySuccessful()` Returns true only if all requested data dictionary elements were queried.
    `boolean` | `isTypeQuerySuccessful(String typeName)`

- - ### Method Detail

    - #### isQuerySuccessful

          boolean isQuerySuccessful()

      Returns true only if all requested data dictionary elements were queried.
      Returns:
        true if no errors occurred

    - #### isFunctionQuerySuccessful

          boolean isFunctionQuerySuccessful(String functionName)

      Parameters:
        `functionName` - function name
      Returns:
        true if the function was queried successful

    - #### isTypeQuerySuccessful

          boolean isTypeQuerySuccessful(String typeName)

      Parameters:
        `typeName` - type name
      Returns:
        true if the type was queried successful

    - #### isClassQuerySuccessful

          boolean isClassQuerySuccessful(String className)

      Parameters:
        `className` - class name
      Returns:
        true if the class was queried successful

    - #### getFunctionQueryError

          String getFunctionQueryError(String functionName)

      Parameters:
        `functionName` - function name
      Returns:
        error text if the function query failed or null if the query was successful
      Throws:
        `JCoRuntimeException` - if the functionName was not requested by the query

    - #### getTypeQueryError

          String getTypeQueryError(String typeName)

      Parameters:
        `typeName` - type name
      Returns:
        error text if the type query failed or null if the query was successful
      Throws:
        `JCoRuntimeException` - if the typeName was not requested by the query

    - #### getClassQueryError

          String getClassQueryError(String className)

      Parameters:
        `className` - class name
      Returns:
        error text if the class query failed or null if the query was successful
      Throws:
        `JCoRuntimeException` - if the className was not requested by the query

    - #### getFailedFunctionQueries

          List<String> getFailedFunctionQueries()

      Returns:
        list of functions for which the query failed or null if there are no failed function query

    - #### getFailedTypesQueries

          List<String> getFailedTypesQueries()

      Returns:
        list of types for which the query failed or null if there are no failed type query

    - #### getFailedClassesQueries

          List<String> getFailedClassesQueries()

      Returns:
        list of classes for which the query failed or null if there are no failed class query

Copyright © 2018 SAP. All Rights Reserved.